%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45

Name: aktion
Summary: aKtion - Movie player for KDE
Version: 0.4.1
Release: 6
Source: http://www.geocities.com/SiliconValley/Haven/3864/aktion.tgz
URL: http://www.geocities.com/SiliconValley/Haven/3864/aktion.html
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport xanim
BuildPrereq: kdesupport-devel, kdelibs-devel
Prefix: %{kdeprefix}
%ifnarch ia64
BuildPrereq: compat-egcs-c++
%endif
Prefix: %{_prefix}
Excludearch: ia64

%description
aKtion! is a video player based on xanim. It supports many different
file formats:

     FLI animations. 
     FLC animations. 
     IFF animations. 
     GIF87a and GIF89a files. 
     GIF89a animation extension support. 
     DL animations. Formats 1, 2 and most of 3. 
     Amiga MovieSetter animations(For those Eric Schwartz fans). 
     Utah Raster Toolkit RLE images and anims. 
     AVI animations. 
     Quicktime Animations. 
     SGI Movie Format Files. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
%configure --prefix=$KDEDIR \
	   --with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="$CXX" CC="$CC" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

# remove conflicting mime types
rm -rf $RPM_BUILD_ROOT%{kdeprefix}/share/mimelnk

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against the new DGA

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools
- rebuilt against the kde1

* Tue Jan 19 2000 Bill Nottingham <notting@redhat.com>
- rebuild for powertools

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix compilation on alpha/libtool 1.3.4
- add BuildPrereq:s
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked doc files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 0.3.6, build for kde 1.1.2

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- munge xanim dependency (we can change this later...)

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- upgrade to bugfix version 0.3.3

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- new version, built against new libstdc++

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- moved to /usr from /opt/kde

* Sat Dec 12 1998 Preston Brown <pbrown@redhat.com>
- first package attempt.
